GXml.TokenList – GXml-0.20 Reference Manual

# TokenList

## Object Hierarchy:

## Description:

public class TokenList : ArrayList<string>, DomTokenList

DOM4 List of string tokens, powered by libxml2 library.

All known sub-classes:

- SettableTokenList

Namespace: GXml
Package: GXml-0.20

## Content:

### Properties:

- public int length { get; }

### Creation methods:

- public TokenList (DomElement e, string? attr)

### Methods:

- public void add (string[] tokens) throws Error
- public bool contains (string token) throws Error
- public string? item (int index)
- public void remove (string[] tokens)
- public string to_string ()
- public bool toggle (string token, bool force = false, bool auto = true) throws Error
  A convenient method to remove or add tokens. If force is true, this method will add it to the list of tokens, same as add. If force is false will remove a token from the list remove
- public void update ()

### Fields:

- protected string _attr
- protected DomElement _element

### Inherited Members:

All known members inherited from class Gee.ArrayList

- @foreach
- @get
- @set
- add
- add_all
- bidir_list_iterator

- clear
- contains
- equal_func
- index_of
- insert
- iterator

- list_iterator
- read_only
- remove
- remove_at
- size
- slice

All known members inherited from class Gee.AbstractBidirList

- bidir_list_iterator

- read_only_view

All known members inherited from class Gee.AbstractList

- @get
- @set
- index_of

- insert
- list_iterator
- read_only_view

- remove_at
- slice

All known members inherited from class Gee.AbstractCollection

- @foreach
- add
- clear

- contains
- iterator
- read_only

- read_only_view
- remove
- size

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GXml.DomTokenList

- add
- contains
- item

- length
- remove

- to_string
- toggle

All known members inherited from interface Gee.BidirList

- bidir_list_iterator

- read_only_view

All known members inherited from interface Gee.List

- @get
- @set
- empty
- first
- index_of

- insert
- insert_all
- last
- list_iterator

- read_only_view
- remove_at
- slice
- sort

All known members inherited from interface Gee.Traversable

- @foreach
- all_match
- any_match
- chop
- element_type
- filter

- first_match
- flat_map
- fold
- map
- max

- min
- order_by
- scan
- stream
- tee

All known members inherited from interface Gee.Iterable

- iterator

All known members inherited from interface Gee.Collection

- add
- add_all
- add_all_array
- add_all_iterator
- clear
- contains
- contains_all

- contains_all_array
- contains_all_iterator
- empty
- is_empty
- read_only
- read_only_view
- remove

- remove_all
- remove_all_array
- remove_all_iterator
- retain_all
- size
- to_array